
stages:
  - test
  - deploy

UnitTest:
  image: python:3.6
  stage: test
  before_script:
    - wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -
    - echo "deb http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google.list
    - pip install -r requirements.txt
    - python manage.py makemigrations
    - python manage.py migrate
    - apt-get update -qq && apt-get install -y -qq unzip
    - apt-get install -y google-chrome-stable
    - apt-get install -y xvfb
    - wget https://chromedriver.storage.googleapis.com/2.43/chromedriver_linux64.zip
    - unzip chromedriver_linux64.zip
    - mv chromedriver /usr/bin/chromedriver
    - chown root:root /usr/bin/chromedriver
    - chmod +x /usr/bin/chromedriver
    - python manage.py collectstatic --no-input
    - python manage.py runserver 8000 &
  when: on_success
  script:
     - coverage run --include='tugas/*' manage.py test
     - coverage report -m


publish:
  type: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=rayhan-arwindra-story6 --api-key=$HEROKU_API_KEY
  only:
    - master
